Summary:	A tool to work with public-inbox and patch archives
Summary(pl.UTF-8):	Narzędzie do pracy z publiczną skrzynką odbiorczą i archiwami łatek
Name:		b4
Version:	0.14.2
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	https://www.kernel.org/pub/software/devel/b4/%{name}-%{version}.tar.xz
# Source0-md5:	49bdb0f1e8d64a300f55b6b4ee2c9490
URL:		https://git.kernel.org/pub/scm/utils/b4/b4.git
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:61
BuildRequires:	rpm-pythonprov >= 5.4.15-59
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a helper utility to work with patches made available via a
public-inbox archive like lore.kernel.org. It is written to make it
easier to participate in a patch-based workflows, like those used in
the Linux kernel development.

%description -l pl.UTF-8
Narzędzie pomocnicze do pracy z łatkami dostępnymi przez archiwum
publicznej skrzynki odbiorczej, takie jak lore.kernel.org. Zostało
napisane, aby ułatwić uczestniczenie w stylu pracy opartym na łatkach,
jak ten używany przy rozwijaniu jądra Linuksa.

%prep
%setup -q

cat >setup.py <<EOF
from setuptools import setup
setup()
EOF

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/b4
%{py3_sitescriptdir}/b4
%{py3_sitescriptdir}/b4-%{version}-py*.egg-info
%changelog
* Wed Oct 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/b4.git;a=log;h=master

* Wed Oct 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 64c4e2f
- updated to 0.14.2

* Thu Jul 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 97ea7a0
- updated to 0.14.1

* Tue Jun 18 2024 Jakub Bogusz <qboosh@pld-linux.org> a08b34c
- updated to 0.14.0

* Fri Mar 01 2024 Jakub Bogusz <qboosh@pld-linux.org> c1292c3
- updated to 0.13.0

* Sun Nov 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 419870c
- updated to 0.12.4

* Sat Jul 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 068526a
- updated to 0.12.3

* Thu Mar 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 9a6f6a8
- updated to 0.12.2

* Mon Jan 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 6162817
- updated to 0.11.2

* Sun Aug 21 2022 Jakub Bogusz <qboosh@pld-linux.org> a15663b
- updated to 0.9.0
- rely on pythonprov to handle ~= dependencies

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f40f88b
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2e698da
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6fd0414
- rebuild with python 3.10

* Sat Sep 11 2021 Jakub Bogusz <qboosh@pld-linux.org> aec52b8
- updated to 0.8.0

* Sat Aug 21 2021 Jakub Bogusz <qboosh@pld-linux.org> f6b4149
- updated to 0.7.3

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> c44940c
- updated to 0.7.2

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> e1b5c73
- release 3 (by relup.sh)

* Wed Feb 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 511737a
- noarch, release 2

* Mon Feb 22 2021 Jakub Bogusz <qboosh@pld-linux.org> a9b8ce8
- updated to 0.6.2

* Wed Dec 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 377ac89
- updated to 0.6.1

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ec65f7
- updated to 0.5.2

